
// Obrim la BBDD amb la que treballarà la App.
var chimpdb = openDatabase('cbapp', '1.0', 'DB Chimpanzee Bar App', 2 * 1024 * 1024);

	//Seleccionem de la BBDD la informació dessitjada, en aquest cas els possible idiomes a elegir	
		function getLanguagesSelect(){
		chimpdb.readTransaction(function (tx) {
			//Fem la crida SQL 
			tx.executeSql('SELECT * FROM Languages', [], function (tx, results) {
			//Comprobem la quantitat de resultats obtinguts
			var len = results.rows.length, i;
			console.log("len "+len);
			//Preparam una variable per actualitzar l'item corresponent al html
			var htmlprint = ' ';
			// Seleccionem l'item del document
			select = document.getElementById('selectlang');
			//Iniciem recorregut als resultats
			for (i = 0; i < len; i++) {
			lang=results.rows.item(i).Language;
			id=results.rows.item(i).Id_Language;
			//Al pendre els resultats anem actualitzant el item 
			htmlprint += '<option value="'+id+'" onclick="updateLanguage('+id+');">'+lang+'</option>';
			//Creem element tipus options que introduirem al element Select.
			var opt = document.createElement('option');
			opt.value = id;
			opt.innerHTML = lang;
			//Introduïm item
			select.appendChild(opt);
			
			}
			});
			});
		 }
		 
		 
//Prenem el contingut en l'idioma actiu del item dessitjat		 
		 function getItemName(IdItem){
			 
			chimpdb.readTransaction(function (tx) {
			tx.executeSql('SELECT LanguageName FROM LanguageItem WHERE Id_Language=(SELECT CValue FROM Config WHERE Id_Config="Language") AND Id_Item="'+IdItem+'"', [], function (tx, results) {
			ret=results.rows.item(0).LanguageName;
			console.log("Language -->" + ret);
			document.querySelector('#'+IdItem).innerHTML =  ret;
			});
			});
						
		 }


// Cerquem totes les botigues on-line i actuallitzem element		 
		 function getWebShops(){
		 

			chimpdb.readTransaction(function (tx) {
			tx.executeSql('SELECT Id_Shop, Website, Email FROM WebShops', [], function (tx, results) {
			document.querySelector('#webshops').innerHTML = ' ';
			var len = results.rows.length;
			console.log("len "+len);
			for (i = 0; i < len; i++) {
			//console.log(results.rows.item(i).text);
			//console.log("Language -->" + results.rows.item(0).CValue);
			var ids=results.rows.item(i).Id_Shop;
			var wsi=results.rows.item(i).Website;
			var ema=results.rows.item(i).Email;
			var htmlprint = '<center><a href="#" data-transition="slide" onclick="window.open(\''+ wsi +'\',\'_blank\',\'location=yes\');"> <img src=../img/'+ids+'.jpg width=80%></a><hr /></center>';
			console.log(htmlprint);
			document.querySelector('#webshops').innerHTML += htmlprint;
			}
			});
			});
			
	      		
		 }
		 
//Cerquem tots els producte d'una familia pasada per paràmetre i introduïm la llista al element elegit		 
		function getProductsByFamily(family, ihtml){

			chimpdb.readTransaction(function (tx) {
			tx.executeSql('SELECT LanguageItem.LanguageName, LanguageItem.Id_Item, Products.Family FROM LanguageItem INNER JOIN Products ON LanguageItem.Id_Item=Products.Id_Product WHERE LanguageItem.Id_Language=(SELECT CValue FROM Config WHERE Id_Config="Language") AND Products.family="'+family+'"', [], function (tx, results) {
			
			list = document.getElementById(ihtml);
			var len = results.rows.length;
			console.log("len "+len);
			for (i = 0; i < len; i++) {

			var name=results.rows.item(i).LanguageName;
			var item=results.rows.item(i).Id_Item;
			var family=results.rows.item(i).Family;
	
			var line = document.createElement('li');
			line.class = 'ui-li-has-thumb';	
			line.innerHTML = '<a href="#"  class="ui-btn ui-btn-icon-right ui-icon-carat-r" onclick=" window.open(\'item.html?id='+item+'\',\'_self\'); return false; "><img src="../img/'+item+'.png" height="80px" > <h2>'+name+'</h2> <p>'+family+'</p></a> ';
			list.appendChild(line);
						
			
			}
			});
			});
			
	      		
		 }
		 
		 
//Agafem tota la informació necessaria del producte elegit
//Fem fins a 4 consultes diferents per adquirir totes les dades necessaries		 
		 function getProductsById(id){

			chimpdb.readTransaction(function (tx) {
			tx.executeSql('SELECT LanguageName, Description FROM LanguageItem WHERE Id_Language=(SELECT CValue FROM Config WHERE Id_Config="Language") AND Id_Item="'+id+'"', [], function (tx, results) {

			var name=results.rows.item(0).LanguageName;
			var description=results.rows.item(0).Description;			
			
			document.querySelector('#pname').innerHTML = name;
			document.querySelector('#pdescription').innerHTML = description;
			document.querySelector('#pimage').innerHTML = '<img src="../img/'+id+'.png" width="100%">';

			});
			});
			
			chimpdb.readTransaction(function (tx) {
			tx.executeSql('SELECT * FROM Products WHERE Id_Product="'+id+'"', [], function (tx, results) {

			var fam=results.rows.item(0).Family;
			var vegan=results.rows.item(0).Vegan;	
			var glu=results.rows.item(0).GlutenFree;
			var org=results.rows.item(0).Organic;
			var kca=results.rows.item(0).Kcal;
			var kj=results.rows.item(0).Kj;		
			var wei=results.rows.item(0).Weight;	
			
			kca= kca*(wei/100);
			kj=kj*(wei/100);

			document.querySelector('#pfamily').innerHTML = fam;
			document.querySelector('#pcalories').innerHTML = kca.toFixed(2);
			document.querySelector('#pjules').innerHTML = kj.toFixed(2);
			document.querySelector('#pweight').innerHTML = wei+' gr';
			document.querySelector('#porganic').innerHTML = org+ '%';
			
			document.querySelector('#pfamily').innerHTML = fam;
			
			//Comprobem les dades trobades per desplegar la imatge correcta
			if (vegan==1){
				document.querySelector('#pvegan').innerHTML = '<img src="../img/check.png" width=25px>';
			}
			else{
				document.querySelector('#pvegan').innerHTML = '<img src="../img/cross.png" width=25px>';				
			}
			
			if (glu==1){
				document.querySelector('#pgluten').innerHTML = '<img src="../img/check.png" width=25px>';
			}
			else{
				document.querySelector('#pgluten').innerHTML = '<img src="../img/cross.png" width=25px>';				
			}
			
			});
			});
			
			
			chimpdb.readTransaction(function (tx) {
			tx.executeSql('SELECT LanguageItem.LanguageName, ProductIngredient.Id_Ingredient FROM LanguageItem INNER JOIN ProductIngredient ON LanguageItem.Id_Item=ProductIngredient.Id_Ingredient WHERE LanguageItem.Id_Language=(SELECT CValue FROM Config WHERE Id_Config="Language") AND ProductIngredient.Id_Product="'+id+'"', [], function (tx, results) {
			var len = results.rows.length;
			console.log("len "+len);
			document.querySelector('#pingredients').innerHTML = "<ul>";
			for (i = 0; i < len; i++) {

			var name=results.rows.item(i).LanguageName;
			var htmlprint =	'<li class="ui-li-has-alt ui-li-has-thumb ui-first-child">'+name+'</li>';
			
			document.querySelector('#pingredients').innerHTML += htmlprint;
			}
			document.querySelector('#pingredients').innerHTML += "</ul>";
			});
			});
			
			
						
			chimpdb.readTransaction(function (tx) {
			tx.executeSql('SELECT LanguageItem.LanguageName, ProductNutrition.Id_Nutrition, ProductNutrition.Quantity FROM LanguageItem INNER JOIN ProductNutrition ON LanguageItem.Id_Item=ProductNutrition.Id_Nutrition WHERE LanguageItem.Id_Language=(SELECT CValue FROM Config WHERE Id_Config="Language") AND ProductNutrition.Id_Product="'+id+'"', [], function (tx, results) {
			var len = results.rows.length;
			
			var tbody = document.getElementById('pnutrition').tBodies[0];
			
			for (i = 0; i < len; i++) {

			var name=results.rows.item(i).LanguageName;
			var qty=results.rows.item(i).Quantity;

			var tr = document.createElement('tr');
			var td1 = document.createElement('td');
			td1.style.width = '66%';
			var td2 = document.createElement('td');
			td2.style.width = '20%';
			td1.innerHTML = name;
			td2.innerHTML = qty+'g';
			tr.appendChild(td1);
			tr.appendChild(td2);
			//tr.innerHTML = '<td width=66%>'+name+'</td><td witdh=20%>'+qty+'</td>';
			tbody.appendChild(tr);
			
			}

			});
			});
	      		
		 }
		 
		 
//Funció per a introduïr totes les coordenades de cada botiga al mapa		 
		 function getMapsShops(mapshops){

			chimpdb.readTransaction(function (tx) {
			tx.executeSql('SELECT * FROM Shops', [], function (tx, results) {
			
			var len = results.rows.length;

			for (i = 0; i < len; i++) {

			var name=results.rows.item(i).Name;
			var longitud=results.rows.item(i).Lng;
			var latitud=results.rows.item(i).Lat;
			
			mapshops.addMarker({
				lat: latitud,
				lng: longitud,
				icon: "../img/icon-1.png",
				title: name,
				infoWindow: {
					content: "<font color=black>"+name+"</font>"
				}	
				});
				
			}
			});
			});
			
	      		
		 }



		 
	
	
	
	